import { CronOptions as CoreCronOptions, Schedule as CoreSchedule, TimeZone } from '../../core';
/**
 * Schedule for scheduled scaling actions
 */
export declare abstract class Schedule extends CoreSchedule {
    /**
     * Construct a schedule from a literal schedule expression
     *
     * @param expression The expression to use. Must be in a format that AutoScaling will recognize
     * @see http://crontab.org/
     */
    static expression(expression: string, timeZone?: TimeZone): Schedule;
    /**
     * Create a schedule from a set of cron fields
     */
    static cron(options: CoreCronOptions): Schedule;
}
/**
 * Options to configure a cron expression
 *
 * All fields are strings so you can use complex expressions. Absence of
 * a field implies '*' or '?', whichever one is appropriate.
 *
 * @see http://crontab.org/
 * @deprecated use core.CronOptions
 */
export interface CronOptions extends CoreCronOptions {
}
