import { CronOptions, Schedule as CoreSchedule, TimeZone } from '../../core';
export declare abstract class Schedule extends CoreSchedule {
    /**
     * Construct a schedule from a literal schedule expression
     *
     * @param expression The expression to use. Must be in a format that AWS Backup will recognize
     */
    static expression(expression: string, timeZone?: TimeZone): Schedule;
    /**
     * Construct a schedule from cron options
     */
    static cron(options: CronOptions): Schedule;
}
