"use strict";var _a;Object.defineProperty(exports,"__esModule",{value:!0}),exports.Schedule=void 0;const jsiiDeprecationWarnings=require("../../.warnings.jsii.js"),JSII_RTTI_SYMBOL_1=Symbol.for("jsii.rtti"),annotations_1=require("./annotations"),time_zone_1=require("./time-zone");class Schedule{static protectedAt(date,timeZone){try{jsiiDeprecationWarnings.aws_cdk_lib_TimeZone(timeZone)}catch(error){throw process.env.JSII_DEBUG!=="1"&&error.name==="DeprecationError"&&Error.captureStackTrace(error,this.protectedAt),error}try{const literal=date.toISOString().split(".")[0];return new LiteralSchedule(`at(${literal})`,timeZone??DEFAULT_TIMEZONE)}catch(e){throw e instanceof RangeError?new Error("Invalid date"):e}}static protectedExpression(expression,timeZone){try{jsiiDeprecationWarnings.aws_cdk_lib_TimeZone(timeZone)}catch(error){throw process.env.JSII_DEBUG!=="1"&&error.name==="DeprecationError"&&Error.captureStackTrace(error,this.protectedExpression),error}return new LiteralSchedule(expression,timeZone??DEFAULT_TIMEZONE)}static protectedRate(duration){try{jsiiDeprecationWarnings.aws_cdk_lib_Duration(duration)}catch(error){throw process.env.JSII_DEBUG!=="1"&&error.name==="DeprecationError"&&Error.captureStackTrace(error,this.protectedRate),error}if(duration.isUnresolved()){if(["minute","minutes","hour","hours","day","days"].indexOf(duration.unitLabel())===-1)throw new Error("Allowed units for scheduling are: 'minute', 'minutes', 'hour', 'hours', 'day', 'days'");return new LiteralSchedule(`rate(${duration.formatTokenToNumber()})`)}if(duration.toMinutes()===0)throw new Error("Duration cannot be 0");let rate=maybeRate(duration.toDays({integral:!1}),"day");return rate===void 0&&(rate=maybeRate(duration.toHours({integral:!1}),"hour")),rate===void 0&&(rate=makeRate(duration.toMinutes({integral:!0}),"minute")),new LiteralSchedule(rate)}static protectedCron(options,module2){try{jsiiDeprecationWarnings.aws_cdk_lib_CronOptions(options)}catch(error){throw process.env.JSII_DEBUG!=="1"&&error.name==="DeprecationError"&&Error.captureStackTrace(error,this.protectedCron),error}if(options.weekDay!==void 0&&options.day!==void 0&&!(options.weekDay==="*"&&options.day==="*"))throw new Error("Cannot supply both 'day' and 'weekDay', use at most one");const minute=fallback(options.minute,"*"),hour=fallback(options.hour,"*"),month=fallback(options.month,"*"),year=fallback(options.year,"*"),day=fallback(options.day,options.weekDay!==void 0?"?":"*"),weekDay=fallback(options.weekDay,"?");return new class extends Schedule{constructor(){super(...arguments),this.expressionString=`cron(${minute} ${hour} ${day} ${month} ${weekDay} ${year})`,this.timeZone=options.timeZone??DEFAULT_TIMEZONE}_bind(scope){return options.minute||annotations_1.Annotations.of(scope).addWarningV2(`@aws-cdk/${module2??"core"}:scheduleDefaultRunsEveryMinute`,"cron: If you don't pass 'minute', by default the event runs every minute. Pass 'minute: '*'' if that's what you intend, or 'minute: 0' to run once per hour instead."),new LiteralSchedule(this.expressionString,this.timeZone)}}}constructor(){this.timeZone=void 0}}exports.Schedule=Schedule,_a=JSII_RTTI_SYMBOL_1,Schedule[_a]={fqn:"aws-cdk-lib.Schedule",version:"2.97.0"};const DEFAULT_TIMEZONE=time_zone_1.TimeZone.ETC_UTC;class LiteralSchedule extends Schedule{constructor(expressionString,timeZone){super(),this.expressionString=expressionString,this.timeZone=timeZone}_bind(){}}function fallback(x,def){return x??def}function maybeRate(interval,singular){if(!(interval===0||!Number.isInteger(interval)))return makeRate(interval,singular)}function makeRate(interval,singular){return interval===1?`rate(1 ${singular})`:`rate(${interval} ${singular}s)`}
